Index: modules/open-science-observatory-ui/trunk/src/app/app.module.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/app.module.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/app.module.ts	(revision 58825)
@@ -14,14 +14,22 @@
 import { CountryMapComponent } from './pages/countrypage/country-map.component';
 import { GaugeChartComponent } from './pages/home/gauge-chart.component';
 import { MethodologyPageComponent } from './pages/methodology/methodology.component';
+import { ContinentOverviewComponent } from './pages/continentoverview/continent-overview.component';
+import { EuropeMapOverviewComponent } from './pages/home/europe-map-overview.component';
+import { DataHandlerService } from './services/data-handler.service';
 
+import { NgxEchartsModule } from 'ngx-echarts';
+import * as echarts from 'echarts';
+
 @NgModule({
   declarations: [
     AppComponent,
     HomeComponent,
+    ContinentOverviewComponent,
     CountriesTableComponent,
     DataViewComponent,
     CountriesMapOverviewComponent,
+    EuropeMapOverviewComponent,
     CountryPageComponent,
     CountryMapComponent,
     GaugeChartComponent,
@@ -31,10 +39,14 @@
     BrowserModule,
     AppRoutingModule,
     ReusableComponentsModule,
+    NgxEchartsModule.forRoot({
+      echarts
+    }),
     HighchartsChartModule
   ],
   providers: [
-    DataService
+    DataService,
+    DataHandlerService
   ],
   bootstrap: [AppComponent]
 })
Index: modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/app/app-routing.module.ts	(revision 58825)
@@ -4,6 +4,7 @@
 import { CountriesMapOverviewComponent } from './pages/home/countries-map-overview.component';
 import { CountryPageComponent } from './pages/countrypage/country-page.component';
 import { MethodologyPageComponent } from './pages/methodology/methodology.component';
+import { ContinentOverviewComponent } from './pages/continentoverview/continent-overview.component';
 
 const routes: Routes = [
   {
@@ -20,6 +21,10 @@
     component: CountriesMapOverviewComponent
   },
   {
+    path: 'overview/:continentName',
+    component: ContinentOverviewComponent
+  },
+  {
     path: 'countryDashboard/:countryName',
     component: CountryPageComponent
   },
Index: modules/open-science-observatory-ui/trunk/src/environments/environment.prod.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/environments/environment.prod.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/environments/environment.prod.ts	(revision 58825)
@@ -1,6 +1,7 @@
 export const environment = {
   production: true,
-  API_ENDPOINT: '/api',
+  // API_ENDPOINT: '/api',
+  API_ENDPOINT: 'https://stats.madgik.di.uoa.gr/stats-api/',
   FAQ_ENDPOINT: '/uoa-admin-tools/api',
   FAQ_HOMEPAGE: '/uoa-admin-tools/dashboard'
 };
Index: modules/open-science-observatory-ui/trunk/src/environments/environment.ts
===================================================================
--- modules/open-science-observatory-ui/trunk/src/environments/environment.ts	(revision 58824)
+++ modules/open-science-observatory-ui/trunk/src/environments/environment.ts	(revision 58825)
@@ -4,7 +4,8 @@
 
 export const environment = {
   production: false,
-  API_ENDPOINT: '/uoa-repository-manager-service',
+  // API_ENDPOINT: '/uoa-repository-manager-service',
+  API_ENDPOINT: 'https://stats.madgik.di.uoa.gr/stats-api/',
   FAQ_ENDPOINT: 'http://audrey.athenarc.gr:5555/api',
   FAQ_HOMEPAGE: 'http://audrey.athenarc.gr:5555'
 };
